# The CairoPatternType class

(No version information available, might only be in Git)

## Introduction

CairoPatternType is used to describe the type of a given pattern.

The type of a pattern is determined by the function used to create it. The cairo_pattern_create_rgb() and cairo_pattern_create_rgba() functions create `CairoPatternType::SOLID` patterns. The remaining cairo_pattern_create_* functions map to pattern types in obvious ways.

## Class synopsis

CairoPatternType {
/* Constants */
const integer SOLID = 0 ;
const integer SURFACE = 1 ;
const integer LINEAR = 2 ;
const integer RADIAL = 3 ;
}

## Predefined Constants

`CairoPatternType::SOLID`

  The pattern is a solid (uniform) color. It may be opaque or translucent.

`CairoPatternType::SURFACE`

  The pattern is a based on a surface (an image).

`CairoPatternType::LINEAR`

  The pattern is a linear gradient.

`CairoPatternType::RADIAL`

  The pattern is a radial gradient.